> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Get Models for Project

> GET /public/v1/projects/{projectId}/models



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **projectId** (integer(int64))




## Responses
### 200
OK

#### Body: */* (array[object])
- **id** (integer(int64))

- **name** (string)

- **projectId** (integer(int64))

- **description** (string)

- **isAutoUpdate** (boolean)

- **isOriginalModel** (boolean)

- **isArchived** (boolean)

- **modelImportLogIds** (array[integer(int64)])

- **modelBaseRuleIds** (array[integer(int64)])

- **modelType** (string)

- **initialDataDate** (string(date-time))

- **status** (string)



[Powered by Bump.sh](https://bump.sh)
